Get out-of-band (OAST) interactions for a task
curl --request GET \
--url https://neo.api.projectdiscovery.io/api/v1/network/oast \
--header 'Authorization: Bearer <token>'import requests
url = "https://neo.api.projectdiscovery.io/api/v1/network/oast"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://neo.api.projectdiscovery.io/api/v1/network/oast', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"callbacks": [
{
"callback_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"id": "<string>",
"interaction_count": 123,
"interactions": [
{
"body": "<string>",
"content_type": "<string>",
"headers": {},
"id": "<string>",
"method": "<string>",
"path": "<string>",
"query_params": {},
"source_ip": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
]
}
],
"dns_configs": [
{
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"id": "<string>",
"ips": [
"<string>"
],
"logs": [
{
"id": "<string>",
"query_name": "<string>",
"query_type": "<string>",
"response": "<string>",
"source_ip": "<string>",
"subdomain": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
],
"query_count": 123,
"strategy": "<string>",
"subdomain": "<string>"
}
],
"email_messages": [
{
"body_text": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"extracted_codes": [
{
"context": "<string>",
"type": "<string>",
"value": "<string>"
}
],
"from_addr": "<string>",
"id": "<string>",
"source_ip": "<string>",
"subject": "<string>",
"to_addr": "<string>"
}
],
"total_interactions": 123
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}Network Events
Get out-of-band (OAST) interactions for a task
Return out-of-band interactions captured for a task: inbound HTTP callbacks and DNS lookups triggered by the target during testing. These confirm blind/out-of-band findings (such as SSRF, XXE, and blind injection) where the target reaches back to a controlled endpoint rather than responding inline.
GET
/
api
/
v1
/
network
/
oast
Get out-of-band (OAST) interactions for a task
Authorizations
BearerAuthApiKeyAuth
JWT authentication token
Query Parameters
Task ID to fetch out-of-band interactions for
⌘I

